"""Provides the Contact class."""

from sqlalchemy import Column, String, Date
from .base import Base, NameMixin, NumberMixin


class Contact(Base, NameMixin, NumberMixin):
    """A telephone contact."""

    __tablename__ = 'contacts'
    ringtone = Column(String(100), nullable=True)
    texttone = Column(String(100), nullable=True)
    dob = Column(Date(), nullable=True)
