"""Provides the database engine."""

import os
import os.path
from sqlalchemy import create_engine
from ..paths import data_dir, test_name

if test_name in os.environ:
    db_file = ':memory:'
else:
    db_file = os.path.join(data_dir, 'db.sqlite3')

engine = create_engine('sqlite:///%s' % db_file)
